---
 include/asm-arm/arch-mxc/irqs-mx27.h |   52 +++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

Index: include/asm-arm/arch-mxc/irqs-mx27.h
===================================================================
--- /dev/null
+++ include/asm-arm/arch-mxc/irqs-mx27.h
@@ -0,0 +1,52 @@
+/*
+ *  Copyright 2004-2007 Freescale Semiconductor, Inc. All Rights Reserved.
+ */
+
+/*
+ * The code contained herein is licensed under the GNU General Public
+ * License. You may obtain a copy of the GNU General Public License
+ * Version 2 or later at the following locations:
+ *
+ * http://www.opensource.org/licenses/gpl-license.html
+ * http://www.gnu.org/copyleft/gpl.html
+ */
+#ifndef __ASM_ARCH_MXC_IRQS_H__
+#define __ASM_ARCH_MXC_IRQS_H__
+
+#include <asm/arch/hardware.h>
+
+/*!
+ * @defgroup Interrupt Interrupt Controller (AVIC)
+ */
+
+/*!
+ * @file arch-mxc/irqs.h
+ * @brief This file defines the number of normal interrupts and fast interrupts
+ *
+ * @ingroup Interrupt
+ */
+
+#define MXC_IRQ_TO_EDIO(nr)     ((nr) - MXC_EXT_BASE)
+#define MXC_IRQ_IS_EDIO(nr)  	((nr) >= MXC_EXT_BASE)
+
+#define MXC_IRQ_TO_EXPIO(irq)	(irq - MXC_EXP_IO_BASE)
+
+#define MXC_IRQ_TO_GPIO(irq)	(irq - MXC_GPIO_BASE)
+#define MXC_GPIO_TO_IRQ(x)	(MXC_GPIO_BASE + x)
+
+/*!
+ * REVISIT: document me
+ */
+#define ARCH_TIMER_IRQ	INT_GPT
+
+/*!
+ * Number of normal interrupts
+ */
+#define NR_IRQS         (MXC_MAX_INTS)
+
+/*!
+ * Number of fast interrupts
+ */
+#define NR_FIQS		(MXC_MAX_INTS)
+
+#endif				/* __ASM_ARCH_MXC_IRQS_H__ */
--- include/asm-arm/arch-mxc/irqs.h.orig
+++ include/asm-arm/arch-mxc/irqs.h
@@ -3,36 +3,50 @@
  */
 
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation.
+ * The code contained herein is licensed under the GNU General Public
+ * License. You may obtain a copy of the GNU General Public License
+ * Version 2 or later at the following locations:
+ *
+ * http://www.opensource.org/licenses/gpl-license.html
+ * http://www.gnu.org/copyleft/gpl.html
  */
-
 #ifndef __ASM_ARCH_MXC_IRQS_H__
 #define __ASM_ARCH_MXC_IRQS_H__
 
-#include <asm/hardware.h>
+#include <asm/arch/hardware.h>
+
+/*!
+ * @defgroup Interrupt Interrupt Controller (AVIC)
+ */
 
 /*!
- * @file irqs.h
+ * @file arch-mxc/irqs.h
  * @brief This file defines the number of normal interrupts and fast interrupts
  *
  * @ingroup Interrupt
  */
 
-#define MXC_IRQ_TO_EXPIO(irq)	((irq) - MXC_EXP_IO_BASE)
+#define MXC_IRQ_TO_EDIO(nr)     ((nr) - MXC_EXT_BASE)
+#define MXC_IRQ_IS_EDIO(nr)  	((nr) >= MXC_EXT_BASE)
 
-#define MXC_IRQ_TO_GPIO(irq)	((irq) - MXC_GPIO_INT_BASE)
-#define MXC_GPIO_TO_IRQ(x)	(MXC_GPIO_INT_BASE + x)
+#define MXC_IRQ_TO_EXPIO(irq)	(irq - MXC_EXP_IO_BASE)
+
+#define MXC_IRQ_TO_GPIO(irq)	(irq - MXC_GPIO_BASE)
+#define MXC_GPIO_TO_IRQ(x)	(MXC_GPIO_BASE + x)
+
+/*!
+ * REVISIT: document me
+ */
+#define ARCH_TIMER_IRQ	INT_GPT
 
 /*!
  * Number of normal interrupts
  */
-#define NR_IRQS		MXC_MAX_INTS
+#define NR_IRQS         (MXC_MAX_INTS)
 
 /*!
  * Number of fast interrupts
  */
-#define NR_FIQS		MXC_MAX_INTS
+#define NR_FIQS		(MXC_MAX_INTS)
 
 #endif				/* __ASM_ARCH_MXC_IRQS_H__ */
Index: include/asm-arm/arch-mxc/memory.h
===================================================================
